Name:		qubes-core-admin-client
Version:    4.2.8
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
BuildRequires:	python%{python3_pkgversion}-tqdm
BuildRequires:	python%{python3_pkgversion}-yaml
BuildRequires:	python%{python3_pkgversion}-pyxdg
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   qubes-repo-templates
Requires:   scrypt
Requires:   qubes-rpm-oxide >= 0.2.3
Requires:   xrandr
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-tqdm
Requires:   python%{python3_pkgversion}-pyxdg
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin
/etc/qubes/post-install.d/30-keyboard-layout-service.sh

%changelog
* Tue Oct 10 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Tue Oct 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ac47bc
- version 4.2.8

* Tue Oct 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a66ddfa
- version 4.2.7

* Sun Oct 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 02ecff7
- Do not enable "low latency" mode for pipewire

* Wed Oct 04 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fbebb4e
- Add readthedocs config

* Fri Sep 29 2023 Kez <kez@torproject.org> - a0edfb3
- Supress legacy help text

* Sun Sep 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce5274c
- version 4.2.6

* Thu Sep 07 2023 Kamil Aronowski <kamil.aronowski@yahoo.com> - cf001ff
- Fix a typo: managment -> management

* Thu Sep 07 2023 Kamil Aronowski <kamil.aronowski@yahoo.com> - afe6bfa
- Add the "POOL_NAME" metavar to -p/--pool

* Thu Sep 07 2023 Kamil Aronowski <kamil.aronowski@yahoo.com> - 8791bf4
- Replace qvm-block references in qvm_volume.py

* Thu Sep 07 2023 Gonzalo Bulnes Guilpain <gon.bulnes@fastmail.com> - d9dd935
- Minor fix misspelling in docstring

* Sun Aug 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 193a345
- version 4.2.5

* Sat Aug 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99c34ad
- Make qvm-run --nogui default if DISPLAY is not set

* Thu Aug 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - beefb31
- Make pylint happy

* Tue Aug 08 2023 jamke <47451874+jamke@users.noreply.github.com> - 4191234
- Improve layout filtering of options for setxkbmap

* Tue Aug 08 2023 jamke <47451874+jamke@users.noreply.github.com> - 2cc0898
- Fix: qvm-ls outputs to stderr for --help-* calls

* Tue Aug 08 2023 jamke <47451874+jamke@users.noreply.github.com> - ffdc36e
- Fix markup issue in qvm-create.rst: *NAME*=*VALUE*

* Mon Aug 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4023ee2
- ci: fix PATH

* Mon Aug 07 2023 jamke <47451874+jamke@users.noreply.github.com> - 6163757
- Fix markup issue in qvm-create.rst: *NAME*=*VALUE*

* Sat Aug 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fc08f4e
- Filter-out keyboard layout switching options

* Fri Aug 04 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 86681e9
- Document evolution-data-server and tracker services

* Sat Jul 01 2023 unman <unman@thirdeyesecurity.org> - aaad80b
- Minor changes to qvm-prefs manpage. Closes QubesOS/qubes-issues#8310.

* Fri Jun 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c70da44
- version 4.2.4

* Thu Jun 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8de9ef0
- Invalidate cache on domain add/delete

* Wed May 24 2023 Oni <git@oni.blue> - 85332b3
- Fix title order when qvm-template output is piped to another command

* Sat May 06 2023 Rusty Bird <rustybird@net-c.com> - 9de29db
- tools/qvm-volume: clarify available revisions

* Sat Apr 29 2023 Per Christian Gaustad <per-review@users.noreply.github.com> - 93d0df6
- Specify format of --profile parameter for qvm-backup

* Thu Apr 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0106eac
- version 4.2.3

* Thu Apr 20 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - cc7483c
- Add documentation for vm-config features

* Sat Apr 15 2023 Rusty Bird <rustybird@net-c.com> - 988475e
- doc: use file-reflink instead of deprecated file in 'qvm-pool add' example

* Fri Apr 14 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 290e524
- add missing docstring

* Fri Apr 14 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 6ef13ac
- add derived_vms property

* Fri Apr 14 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb23913
- Switch to new codecov uploader

* Mon Apr 10 2023 Rusty Bird <rustybird@net-c.com> - 2ab5d80
- make pylint happy

* Mon Apr 10 2023 Rusty Bird <rustybird@net-c.com> - ba9b24d
- backup/restore: fix import of volumes with small or unaligned size

* Tue Mar 14 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4bdf0bc
- version 4.2.2

* Sat Mar 11 2023 Manuel Amador (Rudd-O) <rudd-o@rudd-o.com> - 780e036
- Document that qvm-volume revert can revert to a specific revision.

* Wed Mar 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a9b17d9
- Yet another disgusting hack for python 3.11.2 bug

* Fri Mar 03 2023 Kamil Aronowski <kamil.aronowski@yahoo.com> - 53ba003
- Typo: How log -> How long

* Thu Mar 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5959786
- version 4.2.1

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9512bac
- Document few more features in qvm-features man page

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9cc83e8
- Document qubes-agent-version feature

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 60f4e92
- Document supported-* features in qvm-features man page

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ec57303
- version 4.2.0

* Wed Feb 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0cf5401
- Replace one python bug workaround with another

* Sun Feb 05 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 5a48b45
- Set selinux feature if template.conf specifies it

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9bc0a22
- Make pylint happy

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6bcfda2
- version 4.1.30

* Thu Feb 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14b503e
- rpm: depend on xrandr

* Thu Jan 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5189ff9
- version 4.1.29

* Thu Jan 12 2023 Maja Kądziołka <maya@invisiblethingslab.com> - d49c7a1
- man qvm-backup: Warn about potential metadata leakage

